org.apache.http.impl.cookie

## Class BasicClientCookie2

- java.lang.Object
- - org.apache.http.impl.cookie.BasicClientCookie
  - - org.apache.http.impl.cookie.BasicClientCookie2

- All Implemented Interfaces:
    Serializable ， Cloneable ， ClientCookie ， Cookie ， SetCookie ， SetCookie2

      public class BasicClientCookie2
      extends BasicClientCookie
      implements SetCookie2

  默认实现`SetCookie2` 。
  从以下版本开始：
    4
  另请参见：
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.http.cookie.ClientCookie

      `COMMENT_ATTR, COMMENTURL_ATTR, DISCARD_ATTR, DOMAIN_ATTR, EXPIRES_ATTR, MAX_AGE_ATTR, PATH_ATTR, PORT_ATTR, SECURE_ATTR, VERSION_ATTR`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `BasicClientCookie2(String name, String value)` 默认构造函数取名字和值。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `String` | `getCommentURL()` 返回null。
    `int[]` | `getPorts()` 返回null。
    `boolean` | `isExpired(Date date)` 如果此cookie已过期，则返回true。
    `boolean` | `isPersistent()` 返回`false`如果cookie应该在“会话”结尾处丢弃; `true`否则。
    `void` | `setCommentURL(String commentURL)` 如果用户代理（Web浏览器）向用户显示此Cookie，则Cookie的用途将由此URL上的信息描述。
    `void` | `setDiscard(boolean discard)` 设置Discard属性。
    `void` | `setPorts(int[] ports)` 设置端口属性。

    - ### Methods inherited from class org.apache.http.impl.cookie.BasicClientCookie

      `containsAttribute, getAttribute, getComment, getCreationDate, getDomain, getExpiryDate, getName, getPath, getValue, getVersion, isSecure, removeAttribute, setAttribute, setComment, setCreationDate, setDomain, setExpiryDate, setPath, setSecure, setValue, setVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.cookie.SetCookie

      `setComment, setDomain, setExpiryDate, setPath, setSecure, setValue, setVersion`

    - ### Methods inherited from interface org.apache.http.cookie.Cookie

      `getComment, getDomain, getExpiryDate, getName, getPath, getValue, getVersion, isSecure`

- - ### 构造方法详细信息

    - #### BasicClientCookie2

          public BasicClientCookie2(String name,
                            String value)

      默认构造函数取名字和值。 该值可能为null。
      参数
        `name` - 名字。
        `value` - 值。

  - ### 方法详细信息

    - #### getPorts

          public int[] getPorts()

      描述从类别`BasicClientCookie`复制
      返回null。 RFC2965之前的Cookie不设置此属性
      Specified by:
        `getPorts`在接口 `Cookie`
      重写：
        `getPorts`在 `BasicClientCookie`

    - #### setPorts

          public void setPorts(int[] ports)

      描述从接口`SetCookie2`复制
      设置端口属性。 它限制Cookie请求头中可能返回的端口。
      Specified by:
        `setPorts`在接口 `SetCookie2`

    - #### getCommentURL

          public String getCommentURL()

      描述从类别`BasicClientCookie`复制
      返回null。 RFC2965之前的Cookie不设置此属性
      Specified by:
        `getCommentURL`在接口 `Cookie`
      重写：
        `getCommentURL`在 `BasicClientCookie`

    - #### setCommentURL

          public void setCommentURL(String commentURL)

      描述从接口`SetCookie2`复制
      如果用户代理（Web浏览器）向用户显示此Cookie，则Cookie的用途将由此URL上的信息描述。
      Specified by:
        `setCommentURL`在接口 `SetCookie2`

    - #### setDiscard

          public void setDiscard(boolean discard)

      说明从接口`SetCookie2`复制
      设置Discard属性。 注意： `Discard`属性覆盖`Max-age` 。
      Specified by:
        `setDiscard`在接口 `SetCookie2`
      另请参见：
        `Cookie.isPersistent()`

    - #### isPersistent

          public boolean isPersistent()

      描述从类别`BasicClientCookie`复制
      返回`false`如果cookie应该在“会话”结尾处丢弃; `true`否则。
      Specified by:
        `isPersistent`在接口 `Cookie`
      重写：
        `isPersistent`在 `BasicClientCookie`类
      结果
        `false`如果cookie应该在“会话”结束时被丢弃; `true`否则

    - #### isExpired

          public boolean isExpired(Date date)

      描述从类别`BasicClientCookie`复制
      如果此cookie已过期，则返回true。
      Specified by:
        `isExpired`在接口 `Cookie`
      重写：
        `isExpired`在 `BasicClientCookie`类
      参数
        `date` - 当前时间
      结果
        `true`如果cookie已经过期。

    - #### clone

          public Object clone()
                       throws CloneNotSupportedException

      重写：
        `clone`在 `BasicClientCookie`
      异常
        `CloneNotSupportedException`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585